Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.scheduling
Class QuartzSchedulingServiceJob

    java.lang.Object
      org.red5.server.scheduling.QuartzSchedulingServiceJob

All Implemented Interfaces:
  Job

    public class QuartzSchedulingServiceJob

extends Object
implements Job

Scheduled job that is registered in the Quartz scheduler.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Field Summary
`protected static String` | `SCHEDULED_JOB` Scheduled job constant
`protected static String` | `SCHEDULING_SERVICE` Scheduling service constant

Constructor Summary
`QuartzSchedulingServiceJob()`

Method Summary
`void` | `execute(JobExecutionContext arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCHEDULING_SERVICE

    protected static final String SCHEDULING_SERVICE

  Scheduling service constant

  See Also:
    Constant Field Values

### SCHEDULED_JOB

    protected static final String SCHEDULED_JOB

  Scheduled job constant

  See Also:
    Constant Field Values

Constructor Detail

### QuartzSchedulingServiceJob

    public QuartzSchedulingServiceJob()

Method Detail

### execute

    public void execute(JobExecutionContext arg0)
                 throws JobExecutionException

  Specified by:
    `execute` in interface `Job`
  Throws:
    `JobExecutionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project